Packaging - Tasks #1449
Delete all rsx0.8 packages
02/28/2013 05:37 PM - Anonymous

Status: Closed Start date: 02/28/2013
Priority: High Due date:

Assignee: M. Goetting % Done: 20%
Category: Estimated time: 0.00 hour
Target version:

Description

Delete all *-0.8 packages of rsx (rsc, rsb, rst, rst-converters, ...) from the package server. They are superseeded by rsx0.9 and
shouldn't be used by anyone.

(This is most probably just deleting all packages with version 0.8 in it, since | don't think, that there are 0.8 packages other then rsx on
our package server.)

History

#1 - 03/13/2013 12:58 PM - M. Goetting
- Status changed from New to In Progress
- % Done changed from 0 to 20

Exemplarily for precise(i386):

precise|main|i386: libgstreamer-plugins-rsb0.10-0.8 0.8.10-b51~precise
precise|main|i386: librsb-spread0.8 0.8.20-b154~precise
precise|main|i386: librsb0.8 0.8.65-b214~precise

precise|main|i386: librsbxml0.8 0.8.8-b329~precise
precise|main|i386: librsbyarp0.8 0.8.13-b66~precise
precise|main|i386: librsc0.8 0.8.46-b119~precise

precise|main|i386: librst-converters-humavips0.8 0.8.15-b101-precise
precise|main|i386: librstconverters-humavips0.8 0.8.0-b162-precise
precise|main|i386: rsb-test-cl0.8 0.8.0-b88~precise
precise|main|i386: rsb-tools-cl0.8 0.8.31-b748~precise
precise|main|i386: rsb-tools-cpp0.8 0.8.59-b796~precise
precise|main|i386: rsbag-bin-cl0.8 0.8.22-b849~precise
precise|main|i386: rst0.8 0.8.102-b83~precise

Are there any more packages marked for deletion?

#2 - 06/07/2013 04:39 PM - Anonymous

Looks good.

#3 - 09/02/2013 04:47 PM - Anonymous
- Status changed from In Progress to Feedback
| rendered a list of packages from our package repository with the commands:

reprepro -b /srv/packages/repositories/ubuntu listmatched precise 'librs*0.8*'
reprepro -b /srv/packages/repositories/ubuntu listmatched precise 'rs*0.8*'

The packages are:

precise|main|i386: librsb-spread0.8 0.8.20-b154~precise
precise|main|i386: librsb0.8 0.8.65-b214~precise

precise|main|i386: librsbxml0.8 0.8.8-b329~precise
precise|main|i386: librsbyarp0.8 0.8.13-b66~precise
precise|main|i386: librsc0.8 0.8.46-b119~precise

precise|main|i386: librst-converters-humavips0.8 0.8.15-b101-precise
precise|main|i386: librstconverters-humavips0.8 0.8.0-b162-precise
precise|mainjamd64: librsb-spread0.8 0.8.20-b154~precise
precise|mainjamd64: librsb0.8 0.8.65-b214~precise
precise|mainjamd6é4: librsbxml0.8 0.8.8-b329~precise
precise|mainjamd64: librsbyarp0.8 0.8.13-b66~precise
precise|mainjamd6é4: librsc0.8 0.8.46-b119~precise
precise|mainjamd6é4: librst-converters-humavips0.8 0.8.15-b101-precise
precise|mainjamdé4: librstconverters-humavips0.8 0.8.0-b162-precise
precise|main|i386: rsb-test-cl0.8 0.8.0-b88~precise
precise|main|i386: rsb-tools-cl0.8 0.8.31-b748~precise
precise|main|i386: rsb-tools-cpp0.8 0.8.59-b796~precise
precise|main|i386: rsbag-bin-cl0.8 0.8.22-b849~precise
precise|main|i386: rst0.8 0.8.102-b83~precise

precise|mainjamd64: rsb-test-cl0.8 0.8.0-b88~precise
precise|mainjamd6é4: rsb-tools-cl0.8 0.8.31-b747~precise
precise|mainjamd64: rsb-tools-cpp0.8 0.8.59-b796~precise
precise|mainjamd64: rsbag-bin-cl0.8 0.8.22-b849~precise
precise|mainjamd64: rst0.8 0.8.102-b83~precise

(and the same for lucid, quantal, ..., of course)

@Jan, Johannes: Delete them all?

There is also libgstreamer-plugins-rsb0.10-0.8 0.8.10-b51~precise, is this also a deprecated rsx0.8 artifact?

#4 - 09/02/2013 04:51 PM - J. Moringen

Since 0.8 has never been an "official" release, | think, we can just delete all packages, including the gstreamer plugins.

#5 - 04/03/2017 06:47 PM - J. Moringen
- Status changed from Feedback to Closed

Doesn't matter anymore.
